#import "UniversalCanvasManager.h"
#import "UniversalCanvas.h"
#import "RCTBridge.h"

@implementation UniversalCanvasManager

RCT_EXPORT_MODULE();

@synthesize bridge = _bridge;

- (UIView *)view
{
	return [[UniversalCanvas alloc] init];
}

- (dispatch_queue_t)methodQueue
{
		return dispatch_get_main_queue();
}

RCT_EXPORT_VIEW_PROPERTY(colors, NSArray);
RCT_EXPORT_VIEW_PROPERTY(start, CGPoint);
RCT_EXPORT_VIEW_PROPERTY(end, CGPoint);
RCT_EXPORT_VIEW_PROPERTY(locations, NSArray);

@end
