require 'json'
version = JSON.parse(File.read('package.json'))["version"]

Pod::Spec.new do |s|

  s.name            = "UniversalCanvas"
  s.version         = version
  s.homepage        = "https://github.com/yusukeshibata/react-universal-canvas"
  s.summary         = "A <LinearGradient /> component for react-native"
  s.license         = "MIT"
  s.author          = { "Yusuke Shibata" => "shibata@fata.io" }
  s.platform        = :ios, "7.0"
  s.source          = { :git => "https://github.com/yusukeshibata/react-universal-canvas.git", :tag => "#{s.version}" }
  s.source_files    = 'UniversalCanvas/*.{h,m}'
  s.preserve_paths  = "**/*.js"

  s.dependency 'React'

end
